Page MenuHomePhabricator

Have the WMDE add-feature for WLM generalized to all countries
Closed, DeclinedPublic

Description

(This task is an outcome of T131435.)

Last year Wikimedia Deutschland developed a feature for Wiki Loves Monuments to have Commons uploads to almost immediately appear on the lists

At the end of the upload wizard process, users could select which image they just uploaded to be added to the list ; or if there was already an image for it, to replace the existing one. A bot would take care of it.

This is a very nice feature, and other countries would benefit from it (although some would want to opt-out).

How much work would it be to have it for other countries?

Event Timeline

JeanFred created this task.Apr 1 2016, 12:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2016, 12:48 PM
JeanFred moved this task from Backlog to Todo on the Wiki-Loves-Monuments board.Apr 1 2016, 10:35 PM

Just four small parts of the bot have to be adjusted:

  1. Make list template configuration file name a command line argument.
  2. Make the list template image column name configurable in the list template configuration file.
  3. Find a better way to determine file prefixes in Commons (the prefix must be removed when inserting the file in the wikipedia ).
  4. (optional) Specify the project name as a command line argument instead of using defaults from a config file.

When these changes are implemented, each country can opt in by doing the following:

  1. Change the upload links in the wiki to point to the upload wizard on commons using the "object reference" parameters.
  2. Write a configuration file with the template names, the unique id column name and pattern and the image column name, similar to https://github.com/wmde/WikiLovesMonuments/blob/master/update-bot/config/templates.json.
  3. Run the commons_bot somewhere (e.g. tool labs).

The template configuration the site parsing code does very similar things to the ErfgoedBot, so another task could be to refactor our bots to reuse functionality. Then the country-specific configuration step of our project can then be dropped. But that's independent from the small changes outlined above and will take more effort.

Lea_WMDE moved this task from Incoming to Other on the archived--TCB-Team board.May 11 2016, 12:30 PM
gabriel-wmde closed this task as Declined.Mar 19 2020, 9:02 AM
gabriel-wmde removed gabriel-wmde as the assignee of this task.
gabriel-wmde added a subscriber: gabriel-wmde.

I haven't been in touch with the WLM community for 4+ years, so I'm closing this.